import graph;
import palette;
import contour;

size(16cm,8cm,IgnoreAspect);
string data="growth-rr-tt-diff2.dat";

//ڤΥǡ.word()
//csvΥǡ.csv()ɤ߹
file in=input(data).line().word();

real[][] A=in.dimension(0,0);
A=transpose(A); // A[n]n-1ܤΥǡ˥Ǥ褦ˤ.

// 
pair a = (0,0);
pair b = (8,10000);
real[][] f;

int i,i0,i1;
for(i=0; i <= 100; i+=1){
   i0=0+i*81;
   i1=81+i*81;
   f[i]=A[2][i0:i1];
//   write(A[0][i0:i1]);
}

pen[] Palette=Rainbow();
pen Tickpen=black;
pen tickpen=gray+0.5*linewidth(currentpen);
bounds range=image(A[0],A[1],A[2],Automatic,Palette);
draw(contour(transpose(f),a,b,new real[]{10,20,30,40,50,60},operator --),Tickpen);
draw(contour(transpose(f),a,b,new real[]{0},operator --),red+2*linewidth(currentpen));
draw(contour(transpose(f),a,b,new real[]{-60,-50,-40,-30,-20,-10},operator --),dashed+black);

int Divs = 10;
int divs =  2;
palette("growth rate",range,point(SW)+(0,-2000),point(SE)+(0,-2500),Bottom,Palette,
        PaletteTicks(N=Divs,n=divs,Tickpen,tickpen));

// κɸü
real xmin=0.0;
real xmax=8.0;
real ymin=0.0;
real ymax=10000.0;

// // xy褹
xaxis(Label("$a$", (0.5,ymin)),YEquals(ymin),xmin=xmin,xmax=xmax,LeftTicks(Label(fontsize(12pt))));
xaxis(YEquals(ymax),xmin=xmin,xmax=xmax);

label("$Ra$",(-1,5000));
yaxis(ymin=ymin,ymax=ymax,XEquals(xmin),RightTicks);
yaxis(ymin=ymin,ymax=ymax,XEquals(xmax));
